// -*-C++-*-
//
// File:      OmSource.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Sep 13 17:05:04 CEST 2002
// Usage:     -
// Info:      -rExi

#include "OmSourceBrowser.h"
#include "OmSource.h"
#include <iostream>
#include <qapplication.h>
#include <qevent.h> 
#include <qstatusbar.h>
#include <qprogressbar.h>
#include <qapplication.h>
#include <qpopupmenu.h>
#include <qmenubar.h>
#include <qtoolbar.h>
#include "OmSourceVersionNo.h"   
#include <qmessagebox.h>
#include <qmenubar.h>
#include <qcursor.h>
#include <qlabel.h>
#include <omsource.h>
/*******************************************************
* The main window for the application
*******************************************************/



//OmSourceVersionNo omSourceVersionNo;

OmSource::OmSource() : 
  SasTaskWindow("OM Source Browser"), _browser(0)
{


 
    // add a file menu:
    QPopupMenu* fMenu = new QPopupMenu;
    
  
    fMenu->insertItem("E&xit",  qApp, SLOT(quit()));
   
    menuBar()->insertItem("&File", fMenu, -1,0);
  
    _browser = new OmSourceBrowser(this, omsourceVersionNo());


    setGeometry(0, 0, 350, 800);
 
    //    setGeometry(0, 0, _browser->width(), _browser->height());
 
    setCentralWidget(_browser);


    _browser->show();


 
    connect(_browser, SIGNAL(HideParent()), this, SLOT(hide()));
    connect(_browser, SIGNAL(ShowParent()), this, SLOT(show()));
    connect(_browser, SIGNAL(SetCaption(QString)), this, SLOT(SetCaption(QString)));
    connect(_browser, SIGNAL(SetStatusBarMessage(QString&, long)), this, SLOT(SetStatusBarMessage(QString&, long)));
    connect(_browser, SIGNAL(SetStatusBarMessage(QString&)), this, SLOT(SetStatusBarMessage(QString&)));
    connect(_browser, SIGNAL( Exit() ), this, SLOT( Exit() ));
    connect(_browser, SIGNAL( Repaint() ), this, SLOT( Repaint() ));

   
   
}

OmSource::~OmSource()
{
}


