#ifndef OmSourceGraphDlg_h
#define OmSourceGraphDlg_h
#include <qapplication.h>

#include <qdialog.h>
#include <qstring.h>
#include <qcheckbox.h>
#include "OmSourcePrint.h"
class QPainter;
class QString;
class Graph;
class QTimer;
/****************************************************
*
***************************************************/
class GraphDlg : public QDialog, OmSourcePrint
{
    Q_OBJECT
       signals:


     
 private slots:
      void quit() {reject(); };     
      void printDiagram();
      void loadData();       
      public:
   
    GraphDlg(QWidget *parent, Graph *graph); 
    
    ~GraphDlg(); 
 public:
   void Print(QPrinter* , QPainter* p,  
               QFontMetrics* fm,  QPaintDeviceMetrics* metrics);


 private:
    void paintEvent(QPaintEvent*);  
   
    void drawGraph(QPainter *painter);
 
    Graph *_graph;
   
    QTimer *_timer;;



  
};

#endif



