#include <qprinter.h> 
#include <qpainter.h>
#include <qfont.h> 
#include <qpaintdevicemetrics.h> 
#include "OmSourcePrint.h"
#include <qwidget.h>
/******************************************************
* print
******************************************************/
void OmSourcePrint::print(OmSourcePrint *widget)
{
#ifndef QT_NO_PRINTER
 
    QPrinter printer; 
    if ( printer.setup(0) ) {                   // opens printer dialog
        printer.setFullPage(TRUE);              // we'll set our own margins
	QPainter p;
	p.begin( &printer );                    // paint on printer
	p.setFont( p.font() );
	QFontMetrics fm = p.fontMetrics();
	QPaintDeviceMetrics metrics( &printer ); // need width/height
                                                 // of printer surface
    
        /*********************************************
	* Print what ever
	********************************************/
	 //        (this->*Print)(&printer, &p,  &fm,  &metrics);
	widget->Print(&printer, &p, &fm,  &metrics);

        p.end();                                // send job to printer
    }    
#endif
}
